count: 1303
next: https://normandy.cdn.mozilla.net/api/v3/recipe/?format=yaml&page=3
previous: https://normandy.cdn.mozilla.net/api/v3/recipe/?format=yaml
results:
- approved_revision: null
  id: 589
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request: null
    arguments:
      branches:
      - ratio: 1
        slug: treatment
        value: true
      - ratio: 1
        slug: control
        value: false
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1483104
      isEnrollmentPaused: false
      isHighVolume: false
      preferenceBranchType: default
      preferenceName: extensions.fxmonitor.enabled
      preferenceType: boolean
      slug: prefflip-study-firefox-monitor-tag-group-1483104
    capabilities:
    - action.preference-experiment
    comment: ''
    creator:
      email: mcooper@mozilla.com
      first_name: Michael
      id: 1
      last_name: Cooper
    date_created: '2018-09-24T19:55:28.004292Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "normandy.channel == 'release'\n&& normandy.version >=\
      \ '62.'\n&& normandy.version < '63.'\n&& normandy.locale in ['en-CA', 'en-GB',\
      \ 'en-US', 'en-ZA']\n&& [normandy.userId, 'Monitor']|bucketSample(10, 5, 1000)\n\
      && (\n    (\n        normandy.request_time > '2018-09-25T07:15:00'|date\n  \
      \      && normandy.country in [\"US\", \"CA\", \"MX\"]\n    )\n    || normandy.request_time\
      \ > '2018-09-25T13:00:00'|date\n)"
    filter_expression: "normandy.channel == 'release'\n&& normandy.version >= '62.'\n\
      && normandy.version < '63.'\n&& normandy.locale in ['en-CA', 'en-GB', 'en-US',\
      \ 'en-ZA']\n&& [normandy.userId, 'Monitor']|bucketSample(10, 5, 1000)\n&& (\n\
      \    (\n        normandy.request_time > '2018-09-25T07:15:00'|date\n       \
      \ && normandy.country in [\"US\", \"CA\", \"MX\"]\n    )\n    || normandy.request_time\
      \ > '2018-09-25T13:00:00'|date\n)"
    filter_object: []
    id: 1861
    identicon_seed: v1:xgk1flvymzn
    metadata: {}
    name: 'Pref Study: Firefox Monitor - Rollout tag group [Bug 1483104]'
    recipe:
      approved_revision_id: null
      id: 589
      latest_revision_id: 1861
    updated: '2018-09-24T19:55:28.355317Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 588
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          preferences:
            description: The preferences to change, and their values
            items:
              properties:
                preferenceName:
                  description: Full dotted-path of the preference being changed
                  type: string
                value:
                  description: Value to set the preference to
                  type:
                  - string
                  - integer
                  - boolean
              required:
              - preferenceName
              - value
              type: object
            minItems: 1
            type: array
          slug:
            description: Unique identifer for the rollout, used in telemetry and rollbacks
            pattern: ^[a-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferences
        title: Change preferences permanently
        type: object
      id: 5
      implementation_url: null
      name: preference-rollout
    approval_request: null
    arguments:
      preferences:
      - preferenceName: extensions.fxmonitor.enabled
        value: true
      slug: rollout-firefox-monitor-1488532
    capabilities:
    - action.preference-rollout
    comment: ''
    creator:
      email: mcooper@mozilla.com
      first_name: Michael
      id: 1
      last_name: Cooper
    date_created: '2018-09-24T19:52:55.397447Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "normandy.channel == 'release'\n&& normandy.version >=\
      \ '62.'\n&& normandy.version < '63.'\n&& normandy.locale in ['en-CA', 'en-GB',\
      \ 'en-US', 'en-ZA']\n&& [normandy.userId, 'Monitor']|bucketSample(15, 95, 1000)\n\
      && (\n    (\n        normandy.request_time > '2018-09-25T07:15:00'|date\n  \
      \      && normandy.country in [\"US\", \"CA\", \"MX\"]\n    )\n    || normandy.request_time\
      \ > '2018-09-25T13:00:00'|date\n)"
    filter_expression: "normandy.channel == 'release'\n&& normandy.version >= '62.'\n\
      && normandy.version < '63.'\n&& normandy.locale in ['en-CA', 'en-GB', 'en-US',\
      \ 'en-ZA']\n&& [normandy.userId, 'Monitor']|bucketSample(15, 95, 1000)\n&& (\n\
      \    (\n        normandy.request_time > '2018-09-25T07:15:00'|date\n       \
      \ && normandy.country in [\"US\", \"CA\", \"MX\"]\n    )\n    || normandy.request_time\
      \ > '2018-09-25T13:00:00'|date\n)"
    filter_object: []
    id: 1860
    identicon_seed: v1:8324sifmmfu
    metadata: {}
    name: 'Rollout: Firefox Monitor - Enable [Bug1483104]'
    recipe:
      approved_revision_id: null
      id: 588
      latest_revision_id: 1860
    updated: '2018-09-24T19:52:55.416870Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 383
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          addonUrl:
            description: URL of the add-on XPI file
            format: uri
            minLength: 1
            type: string
          description:
            description: User-facing description of the study
            minLength: 1
            type: string
          extensionApiId:
            description: The record ID of the extension used for Normandy API calls.
            type: integer
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          name:
            description: User-facing name of the study
            minLength: 1
            type: string
        required:
        - name
        - description
        - addonUrl
        - extensionApiId
        title: Enroll a user in an opt-out SHIELD study
        type: object
      id: 4
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/opt-out-study/implementation/sha384-QKoPs61T67mshtL1-RGVzzj7xgQbzCCit0fDUfnxE7UPiAKpHpFe5R7P-9Zr6jRZ/
      name: opt-out-study
    approval_request: null
    arguments:
      addonUrl: https://net-mozaws-prod-us-west-2-normandy.s3.amazonaws.com/extensions/pioneer-enrollment-study%40mozilla.org-2.0.4-signed.xpi
      description: 'Prompts users to enroll in Pioneer: https://support.mozilla.org/en-US/kb/about-firefox-pioneer'
      extensionApiId: 31
      isEnrollmentPaused: false
      name: Pioneer Enrollment - US
    capabilities:
    - action.opt-out-study
    comment: ''
    creator: null
    date_created: '2018-08-13T17:17:43.128322Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId, normandy.recipe.id]|bucketSample((normandy.request_time\
      \ / (24*60*60*1000)), 2, 1000)\n    && normandy.locale == 'en-US'\n    && normandy.country\
      \ == 'US'\n    && !normandy.isFirstRun\n    && normandy.version >=  '57.0'\n\
      \    && normandy.channel == 'release'\n)"
    filter_expression: "(\n    [normandy.userId, normandy.recipe.id]|bucketSample((normandy.request_time\
      \ / (24*60*60*1000)), 2, 1000)\n    && normandy.locale == 'en-US'\n    && normandy.country\
      \ == 'US'\n    && !normandy.isFirstRun\n    && normandy.version >=  '57.0'\n\
      \    && normandy.channel == 'release'\n)"
    filter_object: []
    id: 1678
    identicon_seed: v1:nkgp9712ou
    metadata: {}
    name: Opt-out - Pioneer Enrollment Study US only
    recipe:
      approved_revision_id: null
      id: 383
      latest_revision_id: 1678
    updated: '2018-08-13T17:17:43.128655Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 540
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Learn to Bookmark
      includeTelemetryUUID: false
      learnMoreMessage: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      learnMoreUrl: Learn More
      message: Have a website you visit all the time? Bookmark it!
      postAnswerUrl: https://support.mozilla.org/kb/bookmarks-firefox
      repeatOption: once
      surveyId: hb-bkmrk-reco
      thanksMessage: Redirecting...
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-08-09T14:48:24.974980Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n [normandy.userId]|bucketSample(447, 5, 1000)\n &&\
      \ normandy.channel == 'release' \n && normandy.version >= '61' \n && normandy.locale\
      \ == 'en-US'\n &&  !normandy.isFirstRun \n)"
    filter_expression: "(\n [normandy.userId]|bucketSample(447, 5, 1000)\n && normandy.channel\
      \ == 'release' \n && normandy.version >= '61' \n && normandy.locale == 'en-US'\n\
      \ &&  !normandy.isFirstRun \n)"
    filter_object: []
    id: 1667
    identicon_seed: v1:xdqp4pe1kui
    metadata: {}
    name: Bookmark Recommendation
    recipe:
      approved_revision_id: null
      id: 540
      latest_revision_id: 1667
    updated: '2018-08-09T14:48:24.975252Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 538
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Learn to Pin
      includeTelemetryUUID: false
      learnMoreMessage: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      learnMoreUrl: Learn More
      message: Have a website you visit all the time? Pin it!
      postAnswerUrl: https://support.mozilla.org/kb/pinned-tabs-keep-favorite-websites-open
      repeatOption: once
      surveyId: hb-pin-reco
      thanksMessage: Redirecting...
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-08-09T14:42:43.300269Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n [normandy.userId]|bucketSample(437, 5, 1000)\n &&\
      \ normandy.channel == 'release' \n && normandy.version >= '61' \n && normandy.locale\
      \ == 'en-US'\n && !normandy.isFirstRun\n)"
    filter_expression: "(\n [normandy.userId]|bucketSample(437, 5, 1000)\n && normandy.channel\
      \ == 'release' \n && normandy.version >= '61' \n && normandy.locale == 'en-US'\n\
      \ && !normandy.isFirstRun\n)"
    filter_object: []
    id: 1665
    identicon_seed: v1:drn55ppx3qc
    metadata: {}
    name: Pinned Tab Recommendation
    recipe:
      approved_revision_id: null
      id: 538
      latest_revision_id: 1665
    updated: '2018-08-09T14:42:43.300574Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 533
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Test
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://support.mozilla.org/kb/rate-your-firefox-experience-heartbeat
      message: Test
      postAnswerUrl: https://addons.mozilla.org/firefox/downloads/file/1018006/adblock_plus-3.2-an+fx.xpi
      repeatEvery: 1
      repeatOption: xdays
      surveyId: hb-about-test
      thanksMessage: Thank you
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-08-08T13:58:32.350449Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n\n  normandy.version > '60'\n)"
    filter_expression: "(\n\n  normandy.version > '60'\n)"
    filter_object: []
    id: 1659
    identicon_seed: v1:p6bxeqp9tfm
    metadata: {}
    name: Test about:preferences -DO NOT PUBLISH
    recipe:
      approved_revision_id: null
      id: 533
      latest_revision_id: 1659
    updated: '2018-08-08T13:58:32.350716Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 527
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Learn how to Fix
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://qsurvey.mozilla.com/s3/c0c41c077ec7
      message: Firefox has detected that your computer may have malware
      postAnswerUrl: https://support.mozilla.org/kb/firefox-warned-you-about-malware
      repeatOption: once
      surveyId: hb-malware-test-bug1475330
      thanksMessage: Redirecting...
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-07-26T18:38:12.334126Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    normandy.locale in ['en-US', 'en-AU', 'en-CA',\
      \ 'en-GB', 'en-NZ', 'en-ZA']\n    && normandy.os.isWindows\n    && (normandy.addons[\"\
      @asdfjhsdfuhw\"]\n    || normandy.addons[\"@asdfsdfwe\"]\n    || normandy.addons[\"\
      @asdieieuss\"]\n    || normandy.addons[\"@dghfghfgh\"]\n    || normandy.addons[\"\
      @difherk\"]\n    || normandy.addons[\"@dsfgtftgjhrdf4\"]\n    || normandy.addons[\"\
      @fidfueir\"]\n    || normandy.addons[\"@hjconsnfes\"]\n    || normandy.addons[\"\
      @isdifvdkf\"]\n    || normandy.addons[\"@iweruewir\"]\n    || normandy.addons[\"\
      @oiboijdjfj\"]\n    || normandy.addons[\"@safesearchavs\"]\n    || normandy.addons[\"\
      @safesearchavsext\"]\n    || normandy.addons[\"@safesearchincognito\"]\n   \
      \ || normandy.addons[\"@safesearchscoutee\"]\n    || normandy.addons[\"@sdfykhhhfg\"\
      ]\n    || normandy.addons[\"@sdiosuff\"]\n    || normandy.addons[\"@sdklsajd\"\
      ]\n    || normandy.addons[\"@sduixcjksd\"]\n    || normandy.addons[\"@sicognitores\"\
      ]\n    || normandy.addons[\"@simtabtest\"]\n    || normandy.addons[\"@sodiasudi\"\
      ]\n    || normandy.addons[\"@test13\"]\n    || normandy.addons[\"@test131\"\
      ]\n    || normandy.addons[\"@test131ver\"]\n    || normandy.addons[\"@test132\"\
      ]\n    || normandy.addons[\"@test13s\"]\n    || normandy.addons[\"@testmptys\"\
      ]\n    || normandy.addons[\"{ac4e5b0c-13c4-4bfd-a0c3-1e73c81e8bac}\"]\n    ||\
      \ normandy.addons[\"{e78785c3-ec49-44d2-8aac-9ec7293f4a8f}\"]\n    || normandy.addons[\"\
      general@safesearch.net\"]\n    || normandy.addons[\"@fsgergsdqtyy\"]\n    ||\
      \ normandy.addons[\"general@filecheckerapp.com\"])\n)"
    filter_expression: "(\n    normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB',\
      \ 'en-NZ', 'en-ZA']\n    && normandy.os.isWindows\n    && (normandy.addons[\"\
      @asdfjhsdfuhw\"]\n    || normandy.addons[\"@asdfsdfwe\"]\n    || normandy.addons[\"\
      @asdieieuss\"]\n    || normandy.addons[\"@dghfghfgh\"]\n    || normandy.addons[\"\
      @difherk\"]\n    || normandy.addons[\"@dsfgtftgjhrdf4\"]\n    || normandy.addons[\"\
      @fidfueir\"]\n    || normandy.addons[\"@hjconsnfes\"]\n    || normandy.addons[\"\
      @isdifvdkf\"]\n    || normandy.addons[\"@iweruewir\"]\n    || normandy.addons[\"\
      @oiboijdjfj\"]\n    || normandy.addons[\"@safesearchavs\"]\n    || normandy.addons[\"\
      @safesearchavsext\"]\n    || normandy.addons[\"@safesearchincognito\"]\n   \
      \ || normandy.addons[\"@safesearchscoutee\"]\n    || normandy.addons[\"@sdfykhhhfg\"\
      ]\n    || normandy.addons[\"@sdiosuff\"]\n    || normandy.addons[\"@sdklsajd\"\
      ]\n    || normandy.addons[\"@sduixcjksd\"]\n    || normandy.addons[\"@sicognitores\"\
      ]\n    || normandy.addons[\"@simtabtest\"]\n    || normandy.addons[\"@sodiasudi\"\
      ]\n    || normandy.addons[\"@test13\"]\n    || normandy.addons[\"@test131\"\
      ]\n    || normandy.addons[\"@test131ver\"]\n    || normandy.addons[\"@test132\"\
      ]\n    || normandy.addons[\"@test13s\"]\n    || normandy.addons[\"@testmptys\"\
      ]\n    || normandy.addons[\"{ac4e5b0c-13c4-4bfd-a0c3-1e73c81e8bac}\"]\n    ||\
      \ normandy.addons[\"{e78785c3-ec49-44d2-8aac-9ec7293f4a8f}\"]\n    || normandy.addons[\"\
      general@safesearch.net\"]\n    || normandy.addons[\"@fsgergsdqtyy\"]\n    ||\
      \ normandy.addons[\"general@filecheckerapp.com\"])\n)"
    filter_object: []
    id: 1639
    identicon_seed: v1:mtpv1jju1k
    metadata: {}
    name: Malware Warning Test
    recipe:
      approved_revision_id: null
      id: 527
      latest_revision_id: 1639
    updated: '2018-07-26T18:38:12.334406Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 429
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      comment: '+1'
      created: '2018-04-23T19:41:33.979733Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 761
      revision:
        id: 97
        recipe_id: 429
    arguments:
      branches:
      - ratio: 1
        slug: six
        value: 21600
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1443940
      isEnrollmentPaused: false
      isHighVolume: true
      preferenceBranchType: default
      preferenceName: app.normandy.run_interval_seconds
      preferenceType: integer
      slug: pref-flip-timer-speed-up-60-1443940
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2018-04-23T19:41:28.794869Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'beta' && \n  normandy.version\
      \ >= '60.0' &&\n  [normandy.userId, normandy.recipe.id]|stableSample(0.5)\n)"
    filter_expression: "(\n  normandy.channel == 'beta' && \n  normandy.version >=\
      \ '60.0' &&\n  [normandy.userId, normandy.recipe.id]|stableSample(0.5)\n)"
    filter_object: []
    id: 97
    identicon_seed: v1:ss91d5czibm
    metadata: {}
    name: 'Pref Flip Study: Normandy timer speed up, post 60 [Bug 1443940]'
    recipe:
      approved_revision_id: null
      id: 429
      latest_revision_id: 97
    updated: '2018-04-23T19:41:29.001184Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 447
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      comment: '+1'
      created: '2018-04-20T19:40:56.779193Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 760
      revision:
        id: 45
        recipe_id: 447
    arguments:
      engagementButtonLabel: Update Now
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://support.mozilla.org/en-US/kb/rate-your-firefox-experience-heartbeat
      message: Your Firefox is critically out of date.  An update is required to stay
        secure.
      postAnswerUrl: https://www.mozilla.org/firefox/new/?utm_source=firefox&utm_medium=heartbeat&utm_campaign=hboutofdateen
      repeatEvery: 7
      repeatOption: xdays
      surveyId: hb-out-of-date-en- Weekly
      thanksMessage: Thank You!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-04-20T19:39:32.651297Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    normandy.locale in ['en-US', 'en-AU', 'en-CA',\
      \ 'en-GB', 'en-NZ', 'en-ZA']\n    && normandy.version < '58'\n    && normandy.channel\
      \ == 'release'\n    && [normandy.userId]|bucketSample(200, 800, 1000)\n)"
    filter_expression: "(\n    normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB',\
      \ 'en-NZ', 'en-ZA']\n    && normandy.version < '58'\n    && normandy.channel\
      \ == 'release'\n    && [normandy.userId]|bucketSample(200, 800, 1000)\n)"
    filter_object: []
    id: 45
    identicon_seed: v1:v59bdvbh5v
    metadata: {}
    name: Out of Date - EN - Weekly
    recipe:
      approved_revision_id: null
      id: 447
      latest_revision_id: 45
    updated: '2018-04-20T19:39:32.655619Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 446
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2018-04-19T22:52:16.173006Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 754
      revision:
        id: 46
        recipe_id: 446
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Would you like to share feedback about Firefox?
      postAnswerUrl: https://qsurvey.mozilla.com/s3/post-57-users
      repeatOption: once
      surveyId: hb-post-57-install-reasons
      thanksMessage: Thank You!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-04-19T22:52:12.215230Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId, normandy.request_time]|stableSample(0.005)\n\
      \   && normandy.locale == 'en-US'\n   && normandy.version  >= '59.0'\n   &&\
      \ normandy.channel == 'release'\n   &&!normandy.isFirstRun\n  && normandy.telemetry.main.environment.profile.creationDate\
      \ > 17483\n)"
    filter_expression: "(\n   [normandy.userId, normandy.request_time]|stableSample(0.005)\n\
      \   && normandy.locale == 'en-US'\n   && normandy.version  >= '59.0'\n   &&\
      \ normandy.channel == 'release'\n   &&!normandy.isFirstRun\n  && normandy.telemetry.main.environment.profile.creationDate\
      \ > 17483\n)"
    filter_object: []
    id: 46
    identicon_seed: v1:15oakxgkh0x
    metadata: {}
    name: Post 57 Install Reasons
    recipe:
      approved_revision_id: null
      id: 446
      latest_revision_id: 46
    updated: '2018-04-19T22:52:12.220642Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 440
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          addonUrl:
            description: URL of the add-on XPI file
            format: uri
            minLength: 1
            type: string
          description:
            description: User-facing description of the study
            minLength: 1
            type: string
          extensionApiId:
            description: The record ID of the extension used for Normandy API calls.
            type: integer
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          name:
            description: User-facing name of the study
            minLength: 1
            type: string
        required:
        - name
        - description
        - addonUrl
        - extensionApiId
        title: Enroll a user in an opt-out SHIELD study
        type: object
      id: 4
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/opt-out-study/implementation/sha384-QKoPs61T67mshtL1-RGVzzj7xgQbzCCit0fDUfnxE7UPiAKpHpFe5R7P-9Zr6jRZ/
      name: opt-out-study
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2018-04-07T19:27:14.209991Z'
      creator:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      id: 753
      revision:
        id: 61
        recipe_id: 440
    arguments:
      addonUrl: https://net-mozaws-prod-us-west-2-normandy.s3.amazonaws.com/extensions/online-news%40pioneer.mozilla.org-2.0.0-signed.xpi
      description: 'This study explores the relationship between online browsing patterns
        in response to information cues about websites.


        https://bugzilla.mozilla.org/show_bug.cgi?id=1450092'
      extensionApiId: 42
      isEnrollmentPaused: true
      name: 'Pioneer: Understanding usage of the web'
    capabilities:
    - action.opt-out-study
    comment: ''
    creator: null
    date_created: '2018-04-07T19:27:03.995685Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "( normandy.addons['pioneer-opt-in@mozilla.org'].isActive\n\
      \ && normandy.locale == 'en-US'\n && normandy.country == 'US'\n)"
    filter_expression: "( normandy.addons['pioneer-opt-in@mozilla.org'].isActive\n\
      \ && normandy.locale == 'en-US'\n && normandy.country == 'US'\n)"
    filter_object: []
    id: 61
    identicon_seed: v1:ppfey6j4wum
    metadata: {}
    name: 'Pioneer Study: Online News (v2)'
    recipe:
      approved_revision_id: null
      id: 440
      latest_revision_id: 61
    updated: '2018-04-07T19:27:04.028990Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 442
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: false
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: killing
      created: '2018-04-06T19:45:03.221834Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 752
      revision:
        id: 52
        recipe_id: 442
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please help us make Firefox better by filling out this simple survey
      postAnswerUrl: https://qsurvey.mozilla.com/s3/feedback-asw?b=0
      repeatOption: once
      surveyId: hb-activity-stream-60-beta-wide-layout-bug-1443649-false
      thanksMessage: Thanks!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-04-06T19:44:43.523905Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'beta'\n  && normandy.version\
      \ > '60'\n  && normandy.version < '61'\n  && normandy.request_time < '2018-04-10'|date\n\
      \  &&  normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \  && [normandy.userId]|bucketSample(250, 40, 1000)\n  && 'browser.newtabpage.activity-stream.enableWideLayout'|preferenceExists\n\
      \  && !('browser.newtabpage.activity-stream.enableWideLayout'|preferenceValue)\n\
      )"
    filter_expression: "(\n  normandy.channel == 'beta'\n  && normandy.version > '60'\n\
      \  && normandy.version < '61'\n  && normandy.request_time < '2018-04-10'|date\n\
      \  &&  normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \  && [normandy.userId]|bucketSample(250, 40, 1000)\n  && 'browser.newtabpage.activity-stream.enableWideLayout'|preferenceExists\n\
      \  && !('browser.newtabpage.activity-stream.enableWideLayout'|preferenceValue)\n\
      )"
    filter_object: []
    id: 52
    identicon_seed: v1:kk6k4pb1gag
    metadata: {}
    name: 'Heartbeat False: Activity Stream wide layout, 60 Beta [1443649]'
    recipe:
      approved_revision_id: null
      id: 442
      latest_revision_id: 52
    updated: '2018-04-06T19:44:43.541218Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 441
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: false
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: killing
      created: '2018-04-06T19:45:00.802561Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 751
      revision:
        id: 57
        recipe_id: 441
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please help us make Firefox better by filling out this simple survey
      postAnswerUrl: https://qsurvey.mozilla.com/s3/feedback-asw?b=1
      repeatOption: once
      surveyId: hb-activity-stream-60-beta-wide-layout-bug-1443649-true
      thanksMessage: Thanks!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-04-06T19:44:37.008322Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'beta'\n  && normandy.version\
      \ > '60'\n  && normandy.version < '61'\n  && normandy.request_time < '2018-04-10'|date\n\
      \  &&  normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \  && [normandy.userId]|bucketSample(250, 120, 1000)\n  && 'browser.newtabpage.activity-stream.enableWideLayout'|preferenceExists\n\
      \  && 'browser.newtabpage.activity-stream.enableWideLayout'|preferenceValue\n\
      )"
    filter_expression: "(\n  normandy.channel == 'beta'\n  && normandy.version > '60'\n\
      \  && normandy.version < '61'\n  && normandy.request_time < '2018-04-10'|date\n\
      \  &&  normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \  && [normandy.userId]|bucketSample(250, 120, 1000)\n  && 'browser.newtabpage.activity-stream.enableWideLayout'|preferenceExists\n\
      \  && 'browser.newtabpage.activity-stream.enableWideLayout'|preferenceValue\n\
      )"
    filter_object: []
    id: 57
    identicon_seed: v1:0tpb0w2gsku9
    metadata: {}
    name: 'Heartbeat True: Activity Stream wide layout, 60 Beta [1443649]'
    recipe:
      approved_revision_id: null
      id: 441
      latest_revision_id: 57
    updated: '2018-04-06T19:44:37.015114Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 431
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      comment: LGTM. Normandy update timer.
      created: '2018-04-03T19:16:27.727041Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 749
      revision:
        id: 92
        recipe_id: 431
    arguments:
      branches:
      - ratio: 1
        slug: six
        value: 21600
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1443940
      isEnrollmentPaused: false
      isHighVolume: true
      preferenceBranchType: default
      preferenceName: extensions.shield-recipe-client.run_interval_seconds
      preferenceType: integer
      slug: pref-flip-timer-speed-up-59-1443940
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2018-04-03T19:14:04.564388Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'beta' && \n  normandy.version\
      \ < '60.0' &&\n  [normandy.userId, normandy.recipe.id]|stableSample(0.1)\n)"
    filter_expression: "(\n  normandy.channel == 'beta' && \n  normandy.version <\
      \ '60.0' &&\n  [normandy.userId, normandy.recipe.id]|stableSample(0.1)\n)"
    filter_object: []
    id: 92
    identicon_seed: v1:3a9bs29k5ux
    metadata: {}
    name: 'Pref Flip Study: Normandy timer speed up; pre 60 [Bug 1443940]'
    recipe:
      approved_revision_id: null
      id: 431
      latest_revision_id: 92
    updated: '2018-04-03T19:14:04.776282Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 445
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: home approved
      created: '2018-04-03T18:40:33.296245Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 746
      revision:
        id: 47
        recipe_id: 445
    arguments:
      engagementButtonLabel: Try It
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Firefox can send articles to Alexa or Google Home to be read aloud.
      postAnswerUrl: https://qsurvey.mozilla.com/s3/listenlater?b=home
      repeatOption: once
      surveyId: hb-listen-home
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-04-03T18:39:46.915475Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'release'\n  && normandy.locale\
      \ in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n  && normandy.version\
      \ > '58'\n  && [normandy.userId]|bucketSample(3750, 25, 10000)\n)"
    filter_expression: "(\n  normandy.channel == 'release'\n  && normandy.locale in\
      \ ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n  && normandy.version\
      \ > '58'\n  && [normandy.userId]|bucketSample(3750, 25, 10000)\n)"
    filter_object: []
    id: 47
    identicon_seed: v1:1rgpzzkgvew
    metadata: {}
    name: 'Heartbeat: Firefox Listen, Home'
    recipe:
      approved_revision_id: null
      id: 445
      latest_revision_id: 47
    updated: '2018-04-03T18:39:46.928586Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 444
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: phone approved
      created: '2018-04-03T18:40:26.485244Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 745
      revision:
        id: 48
        recipe_id: 444
    arguments:
      engagementButtonLabel: Try It
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Listen to web pages later on your phone.
      postAnswerUrl: https://qsurvey.mozilla.com/s3/listenlater?b=phone
      repeatOption: once
      surveyId: hb-listen-phone
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-04-03T18:38:57.985462Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'release'\n  && normandy.locale\
      \ in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n  && normandy.version\
      \ > '58'\n  && [normandy.userId]|bucketSample(3700, 25, 10000)\n)"
    filter_expression: "(\n  normandy.channel == 'release'\n  && normandy.locale in\
      \ ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n  && normandy.version\
      \ > '58'\n  && [normandy.userId]|bucketSample(3700, 25, 10000)\n)"
    filter_object: []
    id: 48
    identicon_seed: v1:ptruqwppd6
    metadata: {}
    name: 'Heartbeat: Firefox Listen, Phone'
    recipe:
      approved_revision_id: null
      id: 444
      latest_revision_id: 48
    updated: '2018-04-03T18:38:57.999593Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 443
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: simple approved
      created: '2018-04-03T18:40:23.934103Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 744
      revision:
        id: 49
        recipe_id: 443
    arguments:
      engagementButtonLabel: Try It
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Want to listen instead of read?  Firefox can read web pages to you.
      postAnswerUrl: https://qsurvey.mozilla.com/s3/listenlater?b=simple
      repeatOption: once
      surveyId: hb-listen-simple
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-04-03T18:37:43.941622Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'release'\n  && normandy.locale\
      \ in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n  && normandy.version\
      \ > '58'\n  && [normandy.userId]|bucketSample(3650, 25, 10000)\n)"
    filter_expression: "(\n  normandy.channel == 'release'\n  && normandy.locale in\
      \ ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n  && normandy.version\
      \ > '58'\n  && [normandy.userId]|bucketSample(3650, 25, 10000)\n)"
    filter_object: []
    id: 49
    identicon_seed: v1:97y4eqcnsdg
    metadata: {}
    name: 'Heartbeat: Firefox Listen, Simple'
    recipe:
      approved_revision_id: null
      id: 443
      latest_revision_id: 49
    updated: '2018-04-03T18:37:43.955654Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 439
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2018-04-02T19:50:16.731592Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 743
      revision:
        id: 64
        recipe_id: 439
    arguments:
      branches:
      - ratio: 1
        slug: Control
        value: false
      - ratio: 1
        slug: Variant
        value: true
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1443649
      isEnrollmentPaused: false
      isHighVolume: false
      preferenceBranchType: user
      preferenceName: browser.newtabpage.activity-stream.enableWideLayout
      preferenceType: boolean
      slug: pref-flip-activity-stream-60-beta-wide-layout-bug-1443649
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2018-04-02T19:19:51.906652Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'beta'\n  && normandy.version\
      \ > '60'\n  && normandy.version < '61'\n  && normandy.request_time < '2018-04-10'|date\n\
      \  && [normandy.userId, normandy.recipe.id]|stableSample(0.5)\n)"
    filter_expression: "(\n  normandy.channel == 'beta'\n  && normandy.version > '60'\n\
      \  && normandy.version < '61'\n  && normandy.request_time < '2018-04-10'|date\n\
      \  && [normandy.userId, normandy.recipe.id]|stableSample(0.5)\n)"
    filter_object: []
    id: 64
    identicon_seed: v1:uondw47vije
    metadata: {}
    name: 'Pref Flip Study: Activity Stream wide layout, 60 Beta [1443649] [FIXED]'
    recipe:
      approved_revision_id: null
      id: 439
      latest_revision_id: 64
    updated: '2018-04-02T19:19:52.109952Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 435
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          addonUrl:
            description: URL of the add-on XPI file
            format: uri
            minLength: 1
            type: string
          description:
            description: User-facing description of the study
            minLength: 1
            type: string
          extensionApiId:
            description: The record ID of the extension used for Normandy API calls.
            type: integer
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          name:
            description: User-facing name of the study
            minLength: 1
            type: string
        required:
        - name
        - description
        - addonUrl
        - extensionApiId
        title: Enroll a user in an opt-out SHIELD study
        type: object
      id: 4
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/opt-out-study/implementation/sha384-QKoPs61T67mshtL1-RGVzzj7xgQbzCCit0fDUfnxE7UPiAKpHpFe5R7P-9Zr6jRZ/
      name: opt-out-study
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2018-04-02T18:05:09.549950Z'
      creator:
        email: kardekani@mozilla.com
        first_name: Kamyar
        id: 11
        last_name: Ardekani
      id: 738
      revision:
        id: 84
        recipe_id: 435
    arguments:
      addonUrl: https://net-mozaws-prod-us-west-2-normandy.s3.amazonaws.com/extensions/tracking-protection-messaging-study-new-users%40shield.mozilla.org-1.0.8-signed.xpi
      description: This Shield study is a temporary add-on created and distributed
        by Mozilla to better understand the value of Tracking Protection for Firefox
        users.
      extensionApiId: 40
      isEnrollmentPaused: true
      name: addon-tracking-protection-messaging-1433473-new-users
    capabilities:
    - action.opt-out-study
    comment: ''
    creator: null
    date_created: '2018-04-02T18:05:03.675778Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n (\n   (\n     (normandy.telemetry.main.environment.profile.creationDate\
      \ > (normandy.request_time / (24*60*60*1000)) - 1)\n     && (normandy.telemetry.main.environment.profile.creationDate\
      \ < (normandy.request_time / (24*60*60*1000)) + 2)\n   )\n   || (!normandy.telemetry.main.environment.profile.creationDate\
      \ && normandy.isFirstRun)\n   || normandy.addons[\"tracking-protection-messaging-study-new-users@shield.mozilla.org\"\
      ].isActive\n )\n && normandy.version > '59'\n && normandy.version <  '60'\n\
      \ && normandy.channel == 'release'\n && [normandy.userId]|bucketSample(525,\
      \ 250, 1000)\n && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n)"
    filter_expression: "(\n (\n   (\n     (normandy.telemetry.main.environment.profile.creationDate\
      \ > (normandy.request_time / (24*60*60*1000)) - 1)\n     && (normandy.telemetry.main.environment.profile.creationDate\
      \ < (normandy.request_time / (24*60*60*1000)) + 2)\n   )\n   || (!normandy.telemetry.main.environment.profile.creationDate\
      \ && normandy.isFirstRun)\n   || normandy.addons[\"tracking-protection-messaging-study-new-users@shield.mozilla.org\"\
      ].isActive\n )\n && normandy.version > '59'\n && normandy.version <  '60'\n\
      \ && normandy.channel == 'release'\n && [normandy.userId]|bucketSample(525,\
      \ 250, 1000)\n && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n)"
    filter_object: []
    id: 84
    identicon_seed: v1:mlpk3aclkc
    metadata: {}
    name: 'Add-on Study: Tracking Protection Messaging study (new users) v1.0.8 [Bug
      1433473]'
    recipe:
      approved_revision_id: null
      id: 435
      latest_revision_id: 84
    updated: '2018-04-02T18:05:03.684807Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 436
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          addonUrl:
            description: URL of the add-on XPI file
            format: uri
            minLength: 1
            type: string
          description:
            description: User-facing description of the study
            minLength: 1
            type: string
          extensionApiId:
            description: The record ID of the extension used for Normandy API calls.
            type: integer
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          name:
            description: User-facing name of the study
            minLength: 1
            type: string
        required:
        - name
        - description
        - addonUrl
        - extensionApiId
        title: Enroll a user in an opt-out SHIELD study
        type: object
      id: 4
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/opt-out-study/implementation/sha384-QKoPs61T67mshtL1-RGVzzj7xgQbzCCit0fDUfnxE7UPiAKpHpFe5R7P-9Zr6jRZ/
      name: opt-out-study
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2018-04-02T18:04:52.949662Z'
      creator:
        email: kardekani@mozilla.com
        first_name: Kamyar
        id: 11
        last_name: Ardekani
      id: 737
      revision:
        id: 77
        recipe_id: 436
    arguments:
      addonUrl: https://net-mozaws-prod-us-west-2-normandy.s3.amazonaws.com/extensions/tracking-protection-messaging-study-all-users%40shield.mozilla.org-1.0.8-signed.xpi
      description: This Shield study is a temporary add-on created and distributed
        by Mozilla to better understand the value of Tracking Protection for Firefox
        users.
      extensionApiId: 41
      isEnrollmentPaused: true
      name: addon-tracking-protection-messaging-1433473-all-users
    capabilities:
    - action.opt-out-study
    comment: ''
    creator: null
    date_created: '2018-04-02T17:58:30.954106Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n normandy.version > '59'\n && normandy.version <\
      \  '60'\n && normandy.channel == 'release'\n && [normandy.userId]|bucketSample(3545,\
      \ 100, 10000)\n && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n)"
    filter_expression: "(\n normandy.version > '59'\n && normandy.version <  '60'\n\
      \ && normandy.channel == 'release'\n && [normandy.userId]|bucketSample(3545,\
      \ 100, 10000)\n && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n)"
    filter_object: []
    id: 77
    identicon_seed: v1:tjej0tsfo7j
    metadata: {}
    name: 'Add-on Study: Tracking Protection Messaging study (all users) v1.0.8 [Bug
      1433473]'
    recipe:
      approved_revision_id: null
      id: 436
      latest_revision_id: 77
    updated: '2018-04-02T17:58:30.959304Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 438
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2018-03-20T19:57:50.316774Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 722
      revision:
        id: 65
        recipe_id: 438
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please help us make Firefox better by filling out this simple survey
      postAnswerUrl: https://qsurvey.mozilla.com/s3/FXA-Knowledge
      repeatOption: once
      surveyId: hb-FXA-Knowledge
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-03-20T19:57:47.155197Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(    \n    (\n    [normandy.userId, normandy.recipe.id]|stableSample(0.01)\n\
      \    )\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n    && normandy.syncSetup\n)"
    filter_expression: "(    \n    (\n    [normandy.userId, normandy.recipe.id]|stableSample(0.01)\n\
      \    )\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n    && normandy.syncSetup\n)"
    filter_object: []
    id: 65
    identicon_seed: v1:rwvnvhpe8x
    metadata: {}
    name: FXA Knowledge
    recipe:
      approved_revision_id: null
      id: 438
      latest_revision_id: 65
    updated: '2018-03-20T19:57:47.160370Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 437
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      comment: Changing expiration date
      created: '2018-03-20T00:02:17.861563Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 720
      revision:
        id: 67
        recipe_id: 437
    arguments:
      branches:
      - ratio: 1
        slug: Control
        value: false
      - ratio: 1
        slug: Variant
        value: true
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1443649
      isEnrollmentPaused: false
      isHighVolume: false
      preferenceBranchType: default
      preferenceName: browser.newtabpage.activity-stream.enableWideLayout
      preferenceType: boolean
      slug: pref-flip-as-wide-layout-beta-1443649
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2018-03-20T00:02:14.205086Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'beta'\n  && normandy.version\
      \ > '60'\n  && normandy.version < '61'\n  && normandy.request_time < '2018-04-03'|date\n\
      \  && [normandy.userId, normandy.recipe.id]|stableSample(0.5)\n)"
    filter_expression: "(\n  normandy.channel == 'beta'\n  && normandy.version > '60'\n\
      \  && normandy.version < '61'\n  && normandy.request_time < '2018-04-03'|date\n\
      \  && [normandy.userId, normandy.recipe.id]|stableSample(0.5)\n)"
    filter_object: []
    id: 67
    identicon_seed: v1:n36jxiuhl7r
    metadata: {}
    name: 'Pref Flip Study: Activity Stream wide layout, 60 Beta [1443649]'
    recipe:
      approved_revision_id: null
      id: 437
      latest_revision_id: 67
    updated: '2018-03-20T00:02:14.387262Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 428
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          addonUrl:
            description: URL of the add-on XPI file
            format: uri
            minLength: 1
            type: string
          description:
            description: User-facing description of the study
            minLength: 1
            type: string
          extensionApiId:
            description: The record ID of the extension used for Normandy API calls.
            type: integer
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          name:
            description: User-facing name of the study
            minLength: 1
            type: string
        required:
        - name
        - description
        - addonUrl
        - extensionApiId
        title: Enroll a user in an opt-out SHIELD study
        type: object
      id: 4
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/opt-out-study/implementation/sha384-QKoPs61T67mshtL1-RGVzzj7xgQbzCCit0fDUfnxE7UPiAKpHpFe5R7P-9Zr6jRZ/
      name: opt-out-study
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2018-03-19T18:33:31.675368Z'
      creator:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      id: 715
      revision:
        id: 105
        recipe_id: 428
    arguments:
      addonUrl: https://net-mozaws-prod-us-west-2-normandy.s3.amazonaws.com/extensions/taarexpv2%40shield.mozilla.org-1.0.13-signed.xpi
      description: 'Experimental addon recommender by Mozilla

        https://github.com/mozilla/taar

        https://bugzilla.mozilla.org/show_bug.cgi?id=1428308

        '
      extensionApiId: 35
      isEnrollmentPaused: true
      name: taar-addon-recommendation-v2-2-1428308
    capabilities:
    - action.opt-out-study
    comment: ''
    creator: null
    date_created: '2018-03-19T18:31:35.899428Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  (\n    (\n      normandy.telemetry.main.environment.profile.creationDate\
      \ > 17595 - 16\n      && normandy.telemetry.main.environment.profile.creationDate\
      \ <= 17595 - 9\n    ) || (\n      normandy.telemetry.main.environment.profile.creationDate\
      \ >= 17597\n      && normandy.telemetry.main.environment.profile.creationDate\
      \ < 17597 + 14\n      && normandy.telemetry.main.environment.profile.creationDate\
      \ < (normandy.request_time / (24*60*60*1000)) - 1\n    )\n  )\n  && !normandy.isFirstrun\n\
      \  && normandy.version >= '58'\n  && normandy.version <  '60'\n  && normandy.channel\
      \ == 'release'\n)"
    filter_expression: "(\n  (\n    (\n      normandy.telemetry.main.environment.profile.creationDate\
      \ > 17595 - 16\n      && normandy.telemetry.main.environment.profile.creationDate\
      \ <= 17595 - 9\n    ) || (\n      normandy.telemetry.main.environment.profile.creationDate\
      \ >= 17597\n      && normandy.telemetry.main.environment.profile.creationDate\
      \ < 17597 + 14\n      && normandy.telemetry.main.environment.profile.creationDate\
      \ < (normandy.request_time / (24*60*60*1000)) - 1\n    )\n  )\n  && !normandy.isFirstrun\n\
      \  && normandy.version >= '58'\n  && normandy.version <  '60'\n  && normandy.channel\
      \ == 'release'\n)"
    filter_object: []
    id: 105
    identicon_seed: v1:1g3v3we152o
    metadata: {}
    name: 'Addon Study: Opt-Out TAAR V2 (not part II) [Bug 1428308]'
    recipe:
      approved_revision_id: null
      id: 428
      latest_revision_id: 105
    updated: '2018-03-19T18:31:35.904243Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 434
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2018-03-15T20:34:55.131184Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 714
      revision:
        id: 86
        recipe_id: 434
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: true
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please help us make Firefox better by filling out this single question
        survey
      postAnswerUrl: https://qsurvey.mozilla.com/s3/usage-yesterday-self-report-verification-low-detail
      repeatOption: once
      surveyId: hb-self-report
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-03-15T20:34:51.671225Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(348, 5, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_expression: "(\n    [normandy.userId]|bucketSample(348, 5, 1000)\n    &&\
      \ normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 86
    identicon_seed: v1:lh040jx44aj
    metadata: {}
    name: Self Report Usage
    recipe:
      approved_revision_id: null
      id: 434
      latest_revision_id: 86
    updated: '2018-03-15T20:34:51.675375Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 433
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2018-03-15T19:46:24.134104Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 712
      revision:
        id: 87
        recipe_id: 433
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: true
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please help us make Firefox better by filling out this single question
        survey
      postAnswerUrl: https://qsurvey.mozilla.com/s3/Moderate-Time-Diary-Study-FF-version
      repeatOption: once
      surveyId: hb-light-diary-Firefox
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-03-15T19:45:28.807928Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(343, 5, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_expression: "(\n    [normandy.userId]|bucketSample(343, 5, 1000)\n    &&\
      \ normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 87
    identicon_seed: v1:asgrw8qugn8
    metadata: {}
    name: Moderate Time Diary - Firefox
    recipe:
      approved_revision_id: null
      id: 433
      latest_revision_id: 87
    updated: '2018-03-15T19:45:28.813149Z'
  signature: null
  uses_only_baseline_capabilities: true
